
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java提高篇（三五）-----Java集合细节（一）：请为集合指定初始容量 / 憋错料</title>

    <meta name="description" content="Java提高篇（三五）-----Java集合细节（一）：请为集合指定初始容量 集合是我们在Java编程中使用非常广泛的,它就像大海,海纳百川,像万能容器,盛装万物,而且这个大海,万能容器还可以无限变大(如果条件允许).当这个海.容器的量变得非常大的时候,它的初始容量就会显得很重要了,因为挖海.扩容是需要消耗大量的人力物力财力的.同样的道理,Collection的初始容量也显得异常重要.所以:对于已知的情景,请为集合指定初始容量. public static void main(String[] args) { StudentVO student = null; long">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Java提高篇（三五）-----Java集合细节（一）：请为集合指定初始容量</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>集合是我们在Java编程中使用非常广泛的，它就像大海，海纳百川，像万能容器，盛装万物，而且这个大海，万能容器还可以无限变大（如果条件允许）。当这个海、容器的量变得非常大的时候，它的初始容量就会显得很重要了，因为挖海、扩容是需要消耗大量的人力物力财力的。同样的道理，Collection的初始容量也显得异常重要。所以：对于已知的情景，请为集合指定初始容量。</p>
<pre>public static void main(String[] args) {
        StudentVO student = null;
        long begin1 = System.currentTimeMillis();
        List&lt;StudentVO&gt; list1 = new ArrayList&lt;&gt;();
        for(int i = 0 ; i &lt; 1000000; i++){
            student = new StudentVO(i,&quot;chenssy_&quot;+i,i);
            list1.add(student);
        }
        long end1 = System.currentTimeMillis();
        System.out.println(&quot;list1 time：&quot; + (end1 - begin1));

        long begin2 = System.currentTimeMillis();
        List&lt;StudentVO&gt; list2 = new ArrayList&lt;&gt;(1000000);
        for(int i = 0 ; i &lt; 1000000; i++){
            student = new StudentVO(i,&quot;chenssy_&quot;+i,i);
            list2.add(student);
        }
        long end2 = System.currentTimeMillis();
        System.out.println(&quot;list2 time：&quot; + (end2 - begin2));
    }</pre>
<p>上面代码两个list都是插入1000000条数据，只不过list1没有没有申请初始化容量，而list2初始化容量1000000。那运行结果如下：</p>
<pre>list1 time：1638
list2 time：921</pre>
<p>从上面的运行结果我们可以看出list2的速度是list1的两倍左右。在前面LZ就提过，ArrayList的扩容机制是比较消耗资源的。我们先看ArrayList的add方法：</p>
<pre>public boolean add(E e) {
        ensureCapacity(size + 1);
        elementData[size++] = e;
        return true;
    }  

    public void ensureCapacity(int minCapacity) {
        modCount++;         //修改计数器
        int oldCapacity = elementData.length;
        //当前需要的长度超过了数组长度，进行扩容处理
        if (minCapacity &gt; oldCapacity) {
            Object oldData[] = elementData;
            //新的容量 = 旧容量 * 1.5 + 1
            int newCapacity = (oldCapacity * 3)/2 + 1;
                if (newCapacity &lt; minCapacity)
                    newCapacity = minCapacity;
          //数组拷贝，生成新的数组
          elementData = Arrays.copyOf(elementData, newCapacity);
        }
    }</pre>
<p>ArrayList每次新增一个元素，就会检测ArrayList的当前容量是否已经到达临界点，如果到达临界点则会扩容1.5倍。然而ArrayList的扩容以及数组的拷贝生成新的数组是相当耗资源的。所以若我们事先已知集合的使用场景，知道集合的大概范围，我们最好是指定初始化容量，这样对资源的利用会更加好，尤其是大数据量的前提下，效率的提升和资源的利用会显得更加具有优势。</p>
<p><strong>&gt;&gt;&gt;&gt;&gt;&gt;java集合细节一：请为集合指定初始容量</strong></p>
<p><strong><br /></strong></p>
<p>-----原文出自:<a href="http://cmsblogs.com/?p=1233" rel="external nofollow noreferrer">http://cmsblogs.com/?p=1233</a>,请尊重作者辛勤劳动成果,转载说明出处.</p>
<p>-----个人站点:<a href="http://cmsblogs.com/" rel="external nofollow noreferrer">http://cmsblogs.com</a></p>
<p><P><A href="http://www.bubuko.com/infodetail-293922.html" rel="external nofollow noreferrer">Java提高篇（三五）-----Java集合细节（一）：请为集合指定初始容量,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 20:04:40 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/java/" title="java">java</a>, <a href="https://www.biecuoliao.com/tag/java%e6%8f%90%e9%ab%98%e7%af%87/" title="java提高篇">java提高篇</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Java提高篇（三五）-----Java集合细节（一）：请为集合指定初始容量的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/D3O8D74.html" rel="bookmark">【转】java提高篇&lpar;二&rpar;-----理解java的三大特性之继承</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[转]java提高篇(二)-----理解java的三大特性之继承 原文地址:http://www.cnblogs.com/chenssy/p/3354884.html 在&lt;Think in java&gt;中有这样一句话:复用代码是Java众多引人注目的功能之一.但要想成为极具革命性的语言,仅仅能够复制代码并对加以改变是不够的,它还必须能够做更多的事情.在这句话中最引人注目的是&quot;复用代码&quot;,尽可能的复用代码使我们程序员一直在追求的,现在我来介绍一种复用代码的方式,也是java三大			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MywJBp3.html" rel="bookmark">Java提高篇（三六）-----java集合细节（二）：asList的缺陷</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在实际开发过程中我们经常使用asList讲数组转换为List,这个方法使用起来非常方便,但是asList方法存在几个缺陷: 一.避免使用基本数据类型数组转换为列表 使用8个基本类型数组转换为列表时会存在一个比较有味的缺陷.先看如下程序: public static void main(String[] args) { int[] ints = {1,2,3,4,5}; List list = Arrays.asList(ints); System.out.println(&quot;list'size:&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0by6lkM.html" rel="bookmark">java提高篇（三十）-----Iterator</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文转载地址:            http://blog.csdn.net/chenssy/article/details/37521461 迭代对于我们搞Java的来说绝对不陌生.我们常常使用JDK提供的迭代接口进行Java集合的迭代. [java] view plaincopyprint? Iterator iterator = list.iterator(); while(iterator.hasNext()){ String string = iterator.next(); //d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWA2Xy3.html" rel="bookmark">Java提高篇（三二）-----List总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面LZ已经充分介绍了有关于List接口的大部分知识,如ArrayList.LinkedList.Vector.Stack,通过这几个知识点能够对List接口有了比較深的了解了.仅仅有通过归纳总结的知识才是你的知识.所以以下LZ就List接口做一个总结.推荐阅读: java提高篇(二一)-----ArrayList java提高篇(二二)-----LinkedList java提高篇(二九)-----Vector Java提高篇(三一)-----Stack 一.List接口概述 List接口,成			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lGbKLM.html" rel="bookmark">Java提高篇（二七）-----TreeMap</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文出自:http://cmsblogs.com/?p=1013.尊重作者的成果,转载请注明出处! 个人站点:http://cmsblogs.com ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- Tr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Q79gB0.html" rel="bookmark">java提高篇（九）-----详解匿名内部类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘自http://blog.csdn.net/chenssy/article/details/13170015 java提高篇(九)-----详解匿名内部类 在Java提高篇-----详解内部类中对匿名内部类做了一个简单的介绍,但是内部类还存在很多其他细节问题,所以就衍生出这篇博客.在这篇博客中你可以了解到匿名内部类的使用.匿名内部类要注意的事项.如何初始化匿名内部类.匿名内部类使用的形参为何要为final. 一.使用匿名内部类内部类 匿名内部类由于没有名字,所以它的创建方式有点儿奇怪.创建格式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38bzjnM.html" rel="bookmark">java提高篇&lpar;十&rpar;-----详解匿名内部类 &comma;形参为什么要用final</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在java提高篇-----详解内部类中对匿名内部类做了一个简单的介绍,但是内部类还存在很多其他细节问题,所以就衍生出这篇博客.在这篇博客中你可以了解到匿名内部类的使用.匿名内部类要注意的事项.如何初始化匿名内部类.匿名内部类使用的形参为何要为final. 一.使用匿名内部类内部类 匿名内部类由于没有名字,所以它的创建方式有点儿奇怪.创建格式如下: new 父类构造器(参数列表)|实现接口() { //匿名内部类的类体部分 } 在这里我们看到使用匿名内部类我们必须要继承一个父类或者实现一个接口,当			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bREwv0.html" rel="bookmark">Java提高篇（二八）------TreeSet</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				与HashSet是基于HashMap实现一样,TreeSet同样是基于TreeMap实现的.在&lt;Java提高篇(二七)-----TreeMap&gt;中LZ详细讲解了TreeMap实现机制,如果客官详情看了这篇博文或者多TreeMap有比较详细的了解,那么TreeSet的实现对您是喝口水那么简单. 一.TreeSet定义 我们知道TreeMap是一个有序的二叉树,那么同理TreeSet同样也是一个有序的,它的作用是提供有序的Set集合.通过源码我们知道TreeSet基础AbstractSet,实现N			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QaneL4.html" rel="bookmark">【转】java提高篇&lpar;十&rpar;-----详解匿名内部类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文网址:http://www.cnblogs.com/chenssy/p/3390871.html 在java提高篇-----详解内部类中对匿名内部类做了一个简单的介绍,但是内部类还存在很多其他细节问题,所以就衍生出这篇博客.在这篇博客中你可以了解到匿名内部类的使用.匿名内部类要注意的事项.如何初始化匿名内部类.匿名内部类使用的形参为何要为final. 一.使用匿名内部类内部类 匿名内部类由于没有名字,所以它的创建方式有点儿奇怪.创建格式如下: new 父类构造器(参数列表)|实现接口() {			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eAzdg0.html" rel="bookmark" class="title">零基础学python-9&period;1 元组</a>
					<div>
						元组:由简单的对象组构成 特性: 1.任意对象的有序集合 2.通过偏移量存取 3.不可变序列类型 4.固定长度.异构.任意嵌套 5.对象引用的数组 运算 解释 ()  空元组 t=(0,) 单个元素的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wrGmR0.html" rel="bookmark" class="title">Android UI组件进阶&lpar;2&rpar;&mdash;&mdash;仿Windows对话框</a>
					<div>
						Android UI组件进阶(2)--仿Windows对话框 在开始本章前先祝大家中秋节快乐哈,相信很多上班的朋友都是放三天假的哈! 有时间的话回家陪陪父母吧!树欲静而风不止,子欲养而亲不待!岁月不饶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YGmwJ4.html" rel="bookmark" class="title">（第五周）团队项目2</a>
					<div>
						由于10月11号学校校园网上不去,所以在12号进行站立会议及燃尽图的补充 项目名:食物链教学工具 组名:奋斗吧兄弟 组长:黄兴 组员:谢孝淼.李俞寰.杜桥 代码地址:https://git.codin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aw9WR4.html" rel="bookmark" class="title">第50讲：Scala中Variance变化点</a>
					<div>
						王家林亲授&lt;DT大数据梦工厂&gt;大数据实战视频 Scala 深入浅出实战经典(1-64讲)完整视频.PPT.代码下载:百度云盘:http://pan.baidu.com/s/1c0noOt6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rEqG90.html" rel="bookmark" class="title">生成式学习算法</a>
					<div>
						考虑一个分类问题: 根据一个动物的特征来区分该动物是大象(y=1)还是狗(y = 0).利用逻辑回归找到一条直线,即分界线,将训练集中的大象和狗分开,当给定一个新的动物特征时,检查该动物位于分界线的哪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZAob80.html" rel="bookmark" class="title">工作日志必备内容</a>
					<div>
						1.学习总结   内容:在自学或别人指导的过程中,收获的知识或技术的总结.   目的:总结的过程是对知识的回顾和梳理,让你理解更深刻. 2.工作总结   内容:每日任务的进度,项目的进度.   目的: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Momenx3.html" rel="bookmark" class="title">PBS命令和使用</a>
					<div>
						PBS是公开源代码的作业管理系统,在此环境下运行,用户不需要指定程序在哪些节点上运行,程序所需的硬件资源由PBS管理和分配. PBS(Portable Batch System)是由NASA开发的灵活 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoaxDB3.html" rel="bookmark" class="title">getJdbcTemplate&lpar;&rpar;&period;batchUpdate的性能优化</a>
					<div>
						执行getJdbcTemplate().batchUpdate需要在ServiceImpl类中添加事务注解(@Transactional(rollbackFor=Exception.class)) @ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bq9bwM.html" rel="bookmark" class="title">Android4&period;0&plus;锁屏程序开发&mdash;&mdash;设置锁屏页面篇</a>
					<div>
						[如何开发一个锁屏应用] 想要开发一个锁屏应用,似乎很难,其实并没有想象中那么难. 从本质上来说,锁屏界面也只是一个Activity而已,只是这个界面比较特殊,在我们点亮屏幕的时候,这个界面就会出现. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YDq9rM.html" rel="bookmark" class="title">&num;1518 &colon; 最大集合</a>
					<div>
						描述 给定一个1-N的排列A[1], A[2], ... A[N],定义集合S[K] = {A[K], A[A[K]], A[A[A[K]]] ... }. 显然对于任意的K=1..N,S[K]都是有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBbEvvM.html" rel="bookmark" class="title">四个重要 &lpar;2011-07-31 09&colon;47&colon;21&rpar;</a>
					<div>
						未来比今天更重要: 前途比现在更重要: 积极比安稳更重要: 学习比金钱更重要.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47XwxyM.html" rel="bookmark" class="title">LeetCode&colon; Implement strStr&lpar;&rpar; &lbrack;027&rsqb;</a>
					<div>
						[题目] Implement strStr(). Returns a pointer to the first occurrence of needle in haystack, or null if ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXZoqw3.html" rel="bookmark" class="title">Java基础学习笔记十二  类、抽象类、接口作为方法参数和返回值以及常用API</a>
					<div>
						不同修饰符使用细节 常用来修饰类.方法.变量的修饰符 public 权限修饰符,公共访问, 类,方法,成员变量 protected 权限修饰符,受保护访问, 方法,成员变量 默认什么也不写 也是一种权 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoRavk4.html" rel="bookmark" class="title">综合布线的一些计算题</a>
					<div>
						已知某建筑物的某个楼层有计算机网络信息点200个,语音点100个,计算楼层配线间所需使用IBDN的BIX安装架的型号及数量,以及BIX条的个数. 提示:IBDN的BIX安装架的规格有50.250.30 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmQ8yPM.html" rel="bookmark" class="title">最新发布树莓派2代Wi-Fi自动连接实战&lpar;适合初学者&rpar;</a>
					<div>
						话说天地会珠海分舵在上几天才刚给大家分享了个海外资讯说树莓派2已经发布且Windows10加盟之类的资讯,具体请查看&lt;海外优秀资讯抢先看8 - Windows 10 for Raspberry  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoR8kk4.html" rel="bookmark" class="title">自己主动化測试程序之中的一个自己定义键盘的模拟測试程序（C语言）</a>
					<div>
						一.測试程序编写说明 我们做的终端设备上运行的是QT应用程序.使用自己定义的键盘接口.经过測试人员长时间的人机交互測试,来确认系统的功能是否满足需求. 如今须要编写一个自己主动化的測试程序,能够依照预 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoRjjD4.html" rel="bookmark" class="title">设计模式-单例模式扩展&lpar;程序员学习之路-架构之路&rpar;</a>
					<div>
						大家好,接着上一篇文章,我们继续了解单例模式的扩展功能以及一些注意的事项! 上一篇我们说道,当为懒汉式单例模式的时候,可能存在线程并发导致实例出现多个的问题,这个问题,在Net中通过Lock加锁来实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZGgwm4.html" rel="bookmark" class="title">location&period;href参数丢失</a>
					<div>
						今天用location.href跳转页面的时候遇到了一个问题. 给一个按钮添加点击事件,在js里实现跳转页面,并传递一个参数. &lt;a class=&quot;btn btn-primary&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41yeXq4.html" rel="bookmark" class="title">清明节感想</a>
					<div>
						如今人人都在玩手机,若干年后……墓碑上只刻二维码,路过时拿出手机扫一扫,一生的故事就出来了,爱过谁,恨过谁,还牵挂着谁……这叫“扫墓”,这还不是最可怕的,最可怕的是你扫完之后收到一条消息,上面写着:对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pGaDx3.html" rel="bookmark" class="title">uva 129</a>
					<div>
						暴力求解 大致题意 如果一个字符串含有相邻的重复字串称为容易的串,反之为非容易 求字典序第n困难的串…… 大致思路,暴力如果是容易的串停过,然后困难的串继续求解tot++ 总之先记着吧…… 最后输出格 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
